CREATE TABLE ApiMetric (
    id VARCHAR(191) NOT NULL, path VARCHAR(255) NOT NULL, method VARCHAR(10) NOT NULL,
    statusCode INT NOT NULL, duration INT NOT NULL,
    userId VARCHAR(100), ip VARCHAR(45),
    createdAt DATETIME(3) NOT NULL DEFAULT CURRENT_TIMESTAMP(3),
    INDEX ApiMetric_path_idx(path), INDEX ApiMetric_createdAt_idx(createdAt),
    PRIMARY KEY (id)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
